Name:           repoml
Version:        0.1
Release:        2

Summary:        Tools and data for working with RepoML files
Group:          Applications/System
License:        GPL
URL:            http://fedora.ivazquez.net/
Source0:        http://fedora.ivazquez.net/files/repoml-0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       libxslt
BuildArch:      noarch

%description
Contains:
  - repoml.xsd, an XML Schema for RepoML files
  - repoml.xsl, a stylesheet for converting RepoML files into .repo files
  - repoml2repo, a script that invokes repoml.xsl

%prep
%setup -q

%build
sed -ipath -e s!@@DATADIR@@!%{_datadir}!g repoml2repo

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 0644 repoml.xs? $RPM_BUILD_ROOT%{_datadir}/%{name}
install -D -m 0755 repoml2repo $RPM_BUILD_ROOT%{_bindir}/repoml2repo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog CREDITS NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net>
- Bump to release 1

* Fri Feb 25 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net>
- Initial RPM release.
